use [RAMS]
GO

insert into [dbo].[Questions]( QuestionHyperText, OtherOptionHyperText, HelpHyperText, ResponseFormatsID)
values('Has your participation in this project and that of your project team been reviewed by your local Conflict of Interest Committee or in accordance with your local conflict of interest policies and procedures?',NULL,NULL,2)

declare @questionID0 int,
@AnswersID0 int
select @questionID0 = QuestionsID
from Questions 
where questionHyperText like 'Has your participation in this project and that of your project team been reviewed by your local Conflict of Interest Committee or in%'

insert into [dbo].[Forms_Questions]( FormsID, QuestionsID, FormSequencePosition, RequiredPredecessorAnswersID, RequiredPredecessorQuestionsID)
values(483,@questionID0,20,NULL,NULL)

insert into [dbo].[Answers]( QuestionsID, Value, SequencePosition)
values(@questionID0,'Yes. The determinations of my local Conflict of Interest Committee or other local Conflict of Interest review are attached.',1)
insert into [dbo].[Answers]( QuestionsID, Value, SequencePosition)
values(@questionID0,'Review is pending. Determinations will be forwarded upon completion of review. I understand no final decision regarding approval of this project can be made until the local Conflict of Interest Committee determinations have been received.',2)
insert into [dbo].[Answers]( QuestionsID, Value, SequencePosition)
values(@questionID0,'There is no mechanism at our local site for doing the COI review. Copies of completed OGE Forms 450 for all study team members serving in an Investigator role are attached.',3)

