--Update the backup file location based on environment or server
--Backup RAMS Content Database
ALTER DATABASE [SP_RAMS_WSS_Content_IRB_Application_DB_2_0] 
SET SINGLE_USER WITH ROLLBACK IMMEDIATE
GO
BACKUP DATABASE [SP_RAMS_WSS_Content_IRB_Application_DB_2_0] 
TO  DISK = N'D:\2-1_Backups\SP_RAMS_WSS_Content_IRB_Application_DB_2_0_backup_SQA_Full.bak' 
WITH NOFORMAT, NOINIT,  NAME = N'SP_RAMS_WSS_Content_IRB_Application_DB_2_0-Full Database Backup', SKIP, NOREWIND, NOUNLOAD,  STATS = 10
GO
declare @backupSetId as int
select @backupSetId = position from msdb..backupset 
where database_name=N'SP_RAMS_WSS_Content_IRB_Application_DB_2_0' 
and backup_set_id=(select max(backup_set_id) from msdb..backupset where database_name=N'SP_RAMS_WSS_Content_IRB_Application_DB_2_0' )
if @backupSetId is null begin raiserror(N'Verify failed. Backup information for database ''SP_RAMS_WSS_Content_IRB_Application_DB_2_0'' not found.', 16, 1) end
RESTORE VERIFYONLY 
FROM  DISK = N'D:\2-1_Backups\SP_RAMS_WSS_Content_IRB_Application_DB_2_0_backup_SQA_Full.bak' 
WITH  FILE = @backupSetId,  NOUNLOAD,  NOREWIND
GO
ALTER DATABASE [SP_RAMS_WSS_Content_IRB_Application_DB_2_0] 
SET MULTI_USER
GO
