USE [RAMS_1701]
GO

insert into [dbo].[Questions]( QuestionHyperText, OtherOptionHyperText, HelpHyperText, ResponseFormatsID)
values('Does this project involve animal subjects?',NULL,NULL,2)

insert into [dbo].[Questions]( QuestionHyperText, OtherOptionHyperText, HelpHyperText, ResponseFormatsID)
values('Does the project involve the use of vertebrate animals?',NULL,NULL,2)

insert into [dbo].[Questions]( QuestionHyperText, OtherOptionHyperText, HelpHyperText, ResponseFormatsID)
values('Will any of the vertebrate animals be alive for any part of the project?',NULL,NULL,2)

insert into [dbo].[Questions]( QuestionHyperText, OtherOptionHyperText, HelpHyperText, ResponseFormatsID)
values('Will any of the live vertebrate animals used undergo any procedure(s) that they would not undergo if they were not involved in the project?',NULL,NULL,2)

insert into [dbo].[Questions]( QuestionHyperText, OtherOptionHyperText, HelpHyperText, ResponseFormatsID)
values('Are the live vertebrate animals to be used in this project already on an active protocol with IACUC approval? ',NULL,NULL,2)

insert into [dbo].[Questions]( QuestionHyperText, OtherOptionHyperText, HelpHyperText, ResponseFormatsID)
values('Please Identify the active approved study.',NULL,NULL,7)

insert into [dbo].[Questions]( QuestionHyperText, OtherOptionHyperText, HelpHyperText, ResponseFormatsID)
values('Please submit the IACUC review, a modification of the approved study application to meet the needs of the project.',NULL,NULL,18)

insert into Forms( Title, Narrative, IsPage, IsRepeating)
values ('IACUC','Section M',1,NULL)

declare @questionID0 int,
@AnswersID0 int

select @questionID0 = QuestionsID
from Questions 
where questionHyperText like 'Does this project involve animal subjects%'

insert into [dbo].[Forms_Questions]( FormsID, QuestionsID, FormSequencePosition, RequiredPredecessorAnswersID, RequiredPredecessorQuestionsID)
values(483,@questionID0,19,NULL,NULL)--CHECK THE FORMSID

insert into [dbo].[Answers]( QuestionsID, Value, SequencePosition)
values(@questionID0,'Yes',1)

select @AnswersId0 = AnswersID
from Answers 
where QuestionsID = @questionID0

insert into [dbo].[Answers]( QuestionsID, Value, SequencePosition)
values(@questionID0,'No',2)


declare @questionID1 int,
@FormsID int,
@AnswersId1 int
select @questionID1 = QuestionsID
from Questions 
where questionHyperText like 'Does the project involve the use of vertebrate animals?%'

select @FormsID = FormsID
from Forms where Title = 'IACUC'

insert into [dbo].[Answers]( QuestionsID, Value, SequencePosition)
values(@questionID1,'Yes',1)

select @AnswersId1 = AnswersID
from Answers 
where QuestionsID = @questionID1

insert into [dbo].[Answers]( QuestionsID, Value, SequencePosition)
values(@questionID1,'No',2)

insert into [dbo].[Forms_Questions]( FormsID, QuestionsID, FormSequencePosition, RequiredPredecessorAnswersID, RequiredPredecessorQuestionsID)
values(@FormsID,@questionID1,1,NULL,NULL)

declare @questionID2 int,
@AnswersId2 int
select @questionID2 = QuestionsID
from Questions 
where questionHyperText like 'Will any of the vertebrate animals be alive for any part of the project?%'

insert into [dbo].[Answers]( QuestionsID, Value, SequencePosition)
values(@questionID2,'Yes',1)

select @AnswersId2 = AnswersID
from Answers 
where QuestionsID = @questionID2

insert into [dbo].[Answers]( QuestionsID, Value, SequencePosition)
values(@questionID2,'No',2)

insert into [dbo].[Forms_Questions]( FormsID, QuestionsID, FormSequencePosition, RequiredPredecessorAnswersID, RequiredPredecessorQuestionsID)
values(@FormsID,@questionID2,2,@AnswersId1,NULL)

declare @questionID3 int,
@AnswersId3 int
select @questionID3 = QuestionsID
from Questions 
where questionHyperText like 'Will any of the live vertebrate animals used undergo any procedure(s) %'

insert into [dbo].[Answers]( QuestionsID, Value, SequencePosition)
values(@questionID3,'Yes',1)

select @AnswersId3 = AnswersID
from Answers 
where QuestionsID = @questionID3

insert into [dbo].[Answers]( QuestionsID, Value, SequencePosition)
values(@questionID3,'No',2)

insert into [dbo].[Forms_Questions]( FormsID, QuestionsID, FormSequencePosition, RequiredPredecessorAnswersID, RequiredPredecessorQuestionsID)
values(@FormsID,@questionID3,3,@AnswersId2,NULL)

declare @questionID4 int,
@AnswersId4 int
select @questionID4 = QuestionsID
from Questions 
where questionHyperText like 'Are the live vertebrate animals to be used in this project already on an active protocol with%'

insert into [dbo].[Answers]( QuestionsID, Value, SequencePosition)
values(@questionID4,'Yes',1)

select @AnswersId4 = AnswersID
from Answers 
where QuestionsID = @questionID4

insert into [dbo].[Answers]( QuestionsID, Value, SequencePosition)
values(@questionID4,'No',2)

insert into [dbo].[Forms_Questions]( FormsID, QuestionsID, FormSequencePosition, RequiredPredecessorAnswersID, RequiredPredecessorQuestionsID)
values(@FormsID,@questionID4,4,@AnswersId3 ,NULL)

declare @questionID5 int

select @questionID5 = QuestionsID
from Questions 
where questionHyperText like 'Please Identify the active approved study%'

insert into [dbo].[Forms_Questions]( FormsID, QuestionsID, FormSequencePosition, RequiredPredecessorAnswersID, RequiredPredecessorQuestionsID)
values(@FormsID,@questionID5,5,@AnswersId4,NULL)

declare @questionID6 int

select @questionID6 = QuestionsID
from Questions 
where questionHyperText like 'Please submit the IACUC review, a modification of the approved study application%'

insert into [dbo].[Forms_Questions]( FormsID, QuestionsID, FormSequencePosition, RequiredPredecessorAnswersID, RequiredPredecessorQuestionsID)
values(@FormsID,@questionID6,6,@AnswersId4,NULL)

insert into [dbo].[Contained_Forms]( ContainerID, ContentID, FormSequencePosition, RequiredPredecessorAnswersID, RequiredPredecessorQuestionsID)
values(484,@FormsID,13,@AnswersId0,NULL) --CHECK ContainerID

