--Update the backup location as required based on environment or server
ALTER DATABASE [RAMS] 
SET SINGLE_USER WITH ROLLBACK IMMEDIATE
GO
BACKUP DATABASE [RAMS] 
TO DISK = N'D:\2-1_Backups\RAMS_SQA_Full.bak' 
WITH  DESCRIPTION = N'RAMS Full Backup', NOFORMAT, NOINIT,  
NAME = N'RAMS-Full Database Backup', SKIP, NOREWIND, NOUNLOAD,  STATS = 10
GO
declare @backupSetId as int
select @backupSetId = position from msdb..backupset 
where database_name=N'RAMS' and backup_set_id=(select max(backup_set_id) from msdb..backupset where database_name=N'RAMS' )
if @backupSetId is null begin raiserror(N'Verify failed. Backup information for database ''RAMS'' not found.', 16, 1) end
RESTORE VERIFYONLY FROM  DISK = N'D:\2-1_Backups\RAMS_SQA_Full.bak' WITH  FILE = @backupSetId,  NOUNLOAD,  NOREWIND
GO
ALTER DATABASE [RAMS]
SET MULTI_USER
GO