USE [RAMS]
GO

/****** Object:  Table [dbo].[Committees]    Script Date: 3/15/2017 2:12:36 PM ******/
SET ANSI_NULLS ON
GO

SET QUOTED_IDENTIFIER ON
GO

CREATE TABLE [dbo].[Committees](
	[CommitteeID] [int] NOT NULL IDENTITY,
	[Name] [nvarchar](50) NULL,
	[Code] [nvarchar](10) NULL,
	[UpdatedAt] [datetime] NULL,
PRIMARY KEY CLUSTERED 
(
	[CommitteeID] ASC
)WITH (PAD_INDEX = OFF, STATISTICS_NORECOMPUTE = OFF, IGNORE_DUP_KEY = OFF, ALLOW_ROW_LOCKS = ON, ALLOW_PAGE_LOCKS = ON) ON [PRIMARY]
) ON [PRIMARY]

GO

CREATE TABLE [dbo].[Facility_Committee](
	[FacilityCommitteeID] [int] NOT NULL IDENTITY,
	[FacilityID] [int] NULL,
	[CommitteeID] [int] NULL,
	[ActingFacilityCommitteID] [int] NULL,
PRIMARY KEY CLUSTERED 
(
	[FacilityCommitteeID] ASC
)WITH (PAD_INDEX = OFF, STATISTICS_NORECOMPUTE = OFF, IGNORE_DUP_KEY = OFF, ALLOW_ROW_LOCKS = ON, ALLOW_PAGE_LOCKS = ON) ON [PRIMARY]
) ON [PRIMARY]

GO

SET IDENTITY_INSERT [dbo].[Committees] ON 

INSERT [dbo].[Committees] ([CommitteeID], [Name], [Code], [UpdatedAt]) VALUES (1, N'RDC', N'101', GETDATE())
GO
INSERT [dbo].[Committees] ([CommitteeID], [Name], [Code], [UpdatedAt]) VALUES (2, N'SRS', N'102', GETDATE())
GO
INSERT [dbo].[Committees] ([CommitteeID], [Name], [Code], [UpdatedAt]) VALUES (3, N'IRB', N'103', GETDATE())
GO
INSERT [dbo].[Committees] ([CommitteeID], [Name], [Code], [UpdatedAt]) VALUES (4, N'IACUC', N'104', GETDATE())
GO

SET IDENTITY_INSERT [dbo].[Committees] OFF
GO
