/*
Note: Modify the location path in three places within the script that are highlighted in bold Red to reflect the proper location of the following items:
	Current location of backup file shown as N'D:\2-0_Backups\RestoringBACKUPSET\RAMS_R2-0_SQA_Full.bak'  (Make sure to select correct backup file RAMS_Prod_full.bak).
	Data file location shown as N'G:\Program Files\Microsoft SQL Server\Data\RAMS.mdf'. (.mdf file location)
	Log file location shown as N'L:\Program Files\Microsoft SQL Server\Logs\RAMS_log.LDF'. (.LDF file location)
*/

USE [master]
GO

RESTORE DATABASE [RAMS] 
FROM  DISK = N'D:\2-0_Backups\RestoringBACKUPSET\RAMS_R2-0_SQA_Full.bak'  
WITH  FILE = 1,  MOVE N'RAMS' TO N'G:\Program Files\Microsoft SQL Server\Data\RAMS.mdf',  
MOVE N'RAMS_log' TO N'L:\Program Files\Microsoft SQL Server\Logs\RAMS_log.LDF',  
NOUNLOAD,  REPLACE,  STATS = 5
GO
